## org.apache.catalina.cluster
Interface MessageListener

All Known Subinterfaces:
  ClusterDeployer

All Known Implementing Classes:
  ClusterListener, FarmWarDeployer

public interface MessageListener

Method Summary
`boolean` `accept(ClusterMessage msg)`
`boolean` `equals(java.lang.Object listener)`
`CatalinaCluster` `getCluster()` Returns the cluster the cluster deployer is associated with
`int` `hashCode()`
`void` `messageReceived(ClusterMessage msg)`
`void` `setCluster(CatalinaCluster cluster)` Associates the cluster deployer with a cluster

Method Detail

### messageReceived

    public void messageReceived(ClusterMessage msg)

### accept

    public boolean accept(ClusterMessage msg)

### equals

    public boolean equals(java.lang.Object listener)

### hashCode

    public int hashCode()

### getCluster

    public CatalinaCluster getCluster()

  Returns the cluster the cluster deployer is associated with

  Returns:
    CatalinaCluster

### setCluster

    public void setCluster(CatalinaCluster cluster)

  Associates the cluster deployer with a cluster

  Parameters:
    `cluster` - CatalinaCluster

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.